<?php
	FNTH_class( "HtmlEdit" );

	class AdminHtmlEdit extends FNTHHtmlEdit {
		protected $bShowTitle = false;

		public function setShowTitle( $v ) { $this->bShowTitle = $v; }

		public function modifyGetPost( &$g, &$p ) {
			$id = $this->getId();
			if (isset( $this->aG[$id] )) $this->setValue( $this->aG[$id] );
			if (isset( $this->aP[$id] )) $this->setValue( $this->aP[$id] );
			parent::modifyGetPost( $g , $p );
		}
		public function __construct( $id = "AdminHtmlEdit" , $parent = null ) {
			$this->addMediaDirectory( $GLOBALS["site_root"] , $GLOBALS["site_www"] , "design/rp/","widgets/");
			parent::__construct( $id , $parent );
			$this->setAttribute( "class" , "AdminHtmlEdit" );
			$this->setParam("language",$GLOBALS["language"]);
			$this->setCustomConfig( $GLOBALS["site_www"] . "/design/rp/js/widgets/AdminFCK.js" );
		}

		public function render( ) {
			$this->setParam( "bShowTitle" , $this->bShowTitle );
			return parent::render();
		}
	}
?>
